import os

from django.contrib.sessions.backends.db import SessionStore
from django.core.urlresolvers import reverse
from django.template import Context, Template
from django.test import TestCase, RequestFactory
from django.conf import settings

from evoteusers.tests.utils import UserTestUtils


project_path = settings.PROJECT_DIR


class TemplateTagsTest(UserTestUtils, TestCase):

    def render_template(self, string, context=None, request=None):
        context = context or {}
        context = Context(context)
        return Template(string).render(context)


class AmaTagsTest(TemplateTagsTest):
    """ """

    def test_render_form(self):
        testr_path = os.path.join(
            project_path, 'contrib/ama/tests/samlreqtest.txt')
        template = "{% load ama_tags %}{% show_autenticacaogov_login" + \
                   " '/test_url/' '/test_err_url/' " +\
                   "'' '2016-12-23T18:32:10Z'" +\
                   " 'evt967b594a768b0e3ca42eb51fbc2dc2fd07f673d8'" +\
                   " classes='unit' logo=False %}"
        expected = open(testr_path).read()
        request = RequestFactory().get(reverse('ama:samlresponse'))
        request.session = SessionStore()
        rendered = self.render_template(template, context={'request': request})
        self.assertInHTML(expected, rendered)
