import logging

from suds.client import Client
from suds.wsse import Security, UsernameToken
from django.conf import settings


logger = logging.getLogger('evote.contrib.umws')


class UMWebService(object):
    """ """

    settings_name = ""
    url = ""
    login = ""
    password = ""
    debug = ""
    client = None

    def __init__(self):
        """ """
        self.config = getattr(settings, self.settings_name, {})
        self.url = self.config.get("url", "")
        self.login = self.config.get("login", "")
        self.password = self.config.get("password", "")
        self.debug = self.config.get("debug", False)

    def in_debug(self):
        """ """
        return self.debug

    def upn_to_login(self, upn):
        """ """
        if upn:
            return upn.split('@')[0]
        return upn

    def get_client(self):
        """ """
        if not self.client and not self.in_debug():
            try:
                self.client = Client(url=self.url)
                security = Security()
                token = UsernameToken(self.login, self.password)
                security.tokens.append(token)
                self.client.set_options(wsse=security)
            except Exception as e:
                logger.critical(e, exc_info=True)
                raise
        return self.client

    def ping(self):
        """ """
        if self.in_debug():
            return True
        client = self.get_client()
        return client.service.Ping()


umws_service = UMWebService()
