from __future__ import unicode_literals

import os

from django.core.urlresolvers import reverse_lazy

from evote.settings.dev import *  # noqa


# Django settings

SITE_ID = 5
ALLOWED_HOSTS = [os.environ.get('SN_MANAGE')]
ROOT_URLCONF = 'evote.urls.management'

MIDDLEWARE += (  # NOQA
    "evotevotings.management.middleware.ManagementMiddleware",
)


# Auth settings

LOGIN_REDIRECT_URL = reverse_lazy("management:electoralprocess-list")
LOGIN_URL = reverse_lazy("management:login")
LOGOUT_URL = reverse_lazy("management:logout")


# javascript_settings

JAVASCRIPT_SETTINGS_SCAN_MODULES = {}


# evote messages settings

EVOTEMESSAGES_TEMPLATE_BASE_DIR = 'management/'
EVOTEMESSAGES_BASE_APP_NAME = 'management'


# evote logs settings

def show_in_history(user):
    return bool(user and hasattr(user, 'is_electoral_member') and
                user.is_electoral_member)


EVOTELOG_SHOWINHISTORY_CALLBACK = show_in_history
