from __future__ import unicode_literals

import os

from django.core.urlresolvers import reverse_lazy

from evote.settings.production import *  # noqa


# Django settings

SITE_ID = 11
ALLOWED_HOSTS = [os.environ.get('SN_MANAGE')]
ROOT_URLCONF = 'evote.urls.management'

MIDDLEWARE += (  # noqa
    "evotevotings.management.middleware.ManagementMiddleware",
)


# Auth settings

LOGIN_URL = reverse_lazy("management:login")  # noqa
LOGIN_REDIRECT_URL = reverse_lazy("management:electoralprocess-list")  # noqa

# redefined 'contrib.adfsauth.backends.WSFedBackend'
del AUTHENTICATION_BACKENDS[-1]  # NOQA
AUTHENTICATION_BACKENDS += [  # NOQA
    'evotevotings.management.backends.WSFedManagementBackend'
]


# javascript_settings

JAVASCRIPT_SETTINGS_SCAN_MODULES = {}


# ADFS AUTH (WS-Fed Sign-In Protocol)

ADFS_WSFED_CONFIG['wtrealm'] = 'urn:uminho:evotum-manage'  # noqa
ADFS_WSFED_CONFIG['template_fail'] = 'management/signin_fail.html'  # noqa


# evote messages settings

EVOTEMESSAGES_TEMPLATE_BASE_DIR = 'management/'
EVOTEMESSAGES_BASE_APP_NAME = 'management'


# evote log settings

def show_in_history(user):
    return bool(user and hasattr(user, 'is_electoral_member') and
                user.is_electoral_member)


EVOTELOG_SHOWINHISTORY_CALLBACK = show_in_history

# Google Analytics ID
GOOGLE_ANALYTICS_ID = None
