from __future__ import unicode_literals

import os

from django.core.urlresolvers import reverse_lazy

from evote.settings.staging import *  # NOQA


# django settings

SITE_ID = 9
ALLOWED_HOSTS = [os.environ.get('SN_ADMIN')]
ROOT_URLCONF = 'evote.urls.admin'


# Auth settings

LOGIN_URL = reverse_lazy("evoteadmin:login")
LOGIN_REDIRECT_URL = reverse_lazy("evoteadmin:page-list")

# redefined 'contrib.adfsauth.backends.WSFedBackend'
del AUTHENTICATION_BACKENDS[-1]  # NOQA
AUTHENTICATION_BACKENDS += [  # NOQA
    'evotevotings.admin.backends.WSFedAdminBackend'
]


# ADFS AUTH (WS-Fed Sign-In Protocol)

ADFS_WSFED_CONFIG['wtrealm'] = 'urn:uminho:evotum-admin'  # NOQA
ADFS_WSFED_CONFIG['template_fail'] = 'evoteadmin/signin_fail.html'  # NOQA


# javascript_settings

JAVASCRIPT_SETTINGS_SCAN_MODULES = {
    'evoteadmin': 'evotevotings.admin.jssettings'
}
