from __future__ import unicode_literals

from django.test import SimpleTestCase

import evote.formats.pt.formats as formats_pt


class CeleryTest(SimpleTestCase):

    def test_load_app(self):
        from evote.celery import app
        from celery import Celery
        self.assertIsInstance(app, Celery)


class WsgiTest(SimpleTestCase):

    def test_load_wsgi(self):
        from evote.wsgi import application
        from raven.contrib.django.raven_compat.middleware.wsgi import Sentry
        self.assertIsInstance(application, Sentry)
        self.assertIsNotNone(application.application._request_middleware)


class FormatsTest(SimpleTestCase):

    def test_formats_pt(self):
        self.assertEqual(formats_pt.DATETIME_FORMAT, 'd-m-Y H:i')
        self.assertEqual(formats_pt.DATETIME_INPUT_FORMATS, ['%d-%m-%Y %H:%M'])
