

def add_errors_prefix_form(errors, prefix):
    return {"%s-%s" % (prefix, k): v for k, v in errors.items()}


def add_errors_prefix_formset(errors, non_form_errors, prefix):
    prefixed_errors = {}
    for index, form_errors in enumerate(errors):
        prefixed_errors.update(
            add_errors_prefix_form(form_errors, "{}-{}".format(prefix, index)))

    if non_form_errors and '__all__' not in prefixed_errors:
        prefixed_errors['__all__'] = non_form_errors
    elif non_form_errors:
        prefixed_errors['__all__'].append(non_form_errors)
    return prefixed_errors
