from django import template

from django.forms import BoundField

from evotecore.widgets import DateInput, DateTimeInput


register = template.Library()


@register.inclusion_tag('evotecore/includes/field_tags.html')
def prepare_field(field, icon="", light_field=False, use_label=False):
    """ """
    if not isinstance(field, BoundField):
        raise TypeError("provided field has invalid type")
    if isinstance(field.field.widget, DateInput) or \
            isinstance(field.field.widget, DateTimeInput):
        icon = icon or "fi-calendar"
    return {
        'field': field,
        'widget': field.field.widget.__class__.__name__,
        'icon': icon,
        'use_label': use_label,
        'light_field': light_field,
    }
