from django.test import SimpleTestCase
from django.views.generic import TemplateView

from evotecore.mixins import SelectedMenuMixin


class MixinsTest(SimpleTestCase):

    class OkObject(SelectedMenuMixin, TemplateView):
        selected_menu = 0
        template_name = 'base.html'

    def setUp(self):
        self.object = self.OkObject()

    def test_get_selected_menu(self):
        self.assertEqual(
            self.object.get_selected_menu(), 0)

    def test_get_context_data(self):
        context = self.object.get_context_data()
        selected_menu = context['selected_menu']
        self.assertEqual(selected_menu, 0)
