from __future__ import unicode_literals
from datetime import datetime

from django.test import SimpleTestCase

from evotecore.tables import DateTimeColumn, ImageColumn


class TableColumnsTest(SimpleTestCase):
    """
    Test custom columns
    """

    def test_date_column(self):
        col_date = DateTimeColumn()
        content = col_date.render(datetime(2016, 10, 19, 12, 0, 0))
        expected = "<i class='ev-icon evi-calendar alg-l'></i>19-10-2016 12:00"

        self.assertEqual(content, expected)

    def test_image_column(self):
        col_image = ImageColumn()
        content = col_image.render(None)
        expected = ""

        self.assertEqual(content, expected)
