from __future__ import unicode_literals

from django.core.urlresolvers import reverse
from django.test import TestCase
from django.conf import settings

from evoteusers.tests.utils import UserTestUtils


class HomepageViewTest(UserTestUtils, TestCase):
    """ """

    def test_get(self):
        """ """
        response = self.client.get(reverse("evotecore:index"))
        self.assertEqual(response.status_code, 200)
        self.assertTemplateUsed(response, "evotecore/index.html")

    def test_redirect_to_authenticated_users(self):
        """ """
        self.login()
        response = self.client.get(reverse("evotecore:index"))
        self.assertRedirects(response, settings.LOGIN_REDIRECT_URL)
