"""Evotecore URL configuration."""
from __future__ import unicode_literals

from django.conf.urls import url
from django.conf import settings

from evotevotings.admin.views import PageDetailView

from .views import DemoView, HomepageView


app_name = "evotecore"

urlpatterns = [
    url(
        regex=r'^$',
        view=HomepageView.as_view(),
        name="index"
    ),
    url(
        regex=r'page/(?P<slug>[-\w]+)/$',
        view=PageDetailView.as_view(),
        name="page-detail"
    ),
]


if settings.DEBUG:
    urlpatterns += [
        url(
            regex=r'^demo/$',
            view=DemoView.as_view(),
            name="demo"
        )
    ]
