from __future__ import unicode_literals

from django.forms import widgets


class Select(widgets.Select):

    def __init__(self, *args, **kwargs):
        super(Select, self).__init__(*args, **kwargs)
        self.attrs.update({'data-style-select': ''})


class SearchableSelect(widgets.Select):

    def __init__(self, *args, **kwargs):
        super(SearchableSelect, self).__init__(*args, **kwargs)
        self.attrs.update({'data-style-select-search': ''})


class MultipleSelect(widgets.SelectMultiple):

    def __init__(self, *args, **kwargs):
        super(MultipleSelect, self).__init__(*args, **kwargs)
        self.attrs.update({'data-style-select': ''})


class MultipleAjaxSelect(widgets.SelectMultiple):

    def __init__(self, *args, **kwargs):
        super(MultipleAjaxSelect, self).__init__(*args, **kwargs)
        self.attrs.update({'data-style-select-ajax': ''})


class DateInput(widgets.DateInput):

    def __init__(self, *args, **kwargs):
        super(DateInput, self).__init__(*args, **kwargs)
        self.attrs.update({'data-datepicker': '', 'readonly': 'readonly'})


class DateTimeInput(widgets.DateTimeInput):

    def __init__(self, *args, **kwargs):
        super(DateTimeInput, self).__init__(*args, **kwargs)
        self.attrs.update({'data-datetimepicker': '', 'readonly': 'readonly'})


class TinymceTextarea(widgets.Textarea):

    def __init__(self, *args, **kwargs):
        super(TinymceTextarea, self).__init__(*args, **kwargs)
        self.attrs.update({'data-tinymce': ''})
