from __future__ import unicode_literals

from django.forms import modelformset_factory
from django import forms

from .models import Document


class DocumentForm(forms.ModelForm):
    """ """
    class Meta:
        model = Document
        fields = ('designation', 'document')


class OrderedDocumentForm(forms.ModelForm):
    """ """
    class Meta:
        model = Document
        fields = ('designation', 'document', 'order')


OrderedDocumentFormset = modelformset_factory(
    Document, extra=0, min_num=1, form=OrderedDocumentForm, can_delete=True,
    validate_min=True)

DocumentFormset = modelformset_factory(
    Document, extra=0, min_num=1, form=DocumentForm, can_delete=True)
