from __future__ import unicode_literals

from django.utils.translation import ugettext_lazy as _
from django.utils.encoding import python_2_unicode_compatible
from django.db import models

from django_extensions.db.models import TimeStampedModel
from evotecore.utils import documents_upload_to


@python_2_unicode_compatible
class Document(TimeStampedModel):
    """ """
    designation = models.CharField(_("document name"), max_length=128,
                                   blank=True, null=True)
    document = models.FileField(_("document file"),
                                upload_to=documents_upload_to)
    order = models.PositiveSmallIntegerField(_("order"), default=0)

    class Meta:
        ordering = ("order",)
        verbose_name = _("document")
        verbose_name_plural = _("documents")

    def __str__(self):
        return self.designation
