# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2017-01-03 19:12
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='AuditableEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('entry_hash', models.CharField(blank=True, db_index=True, default='', max_length=128, verbose_name='entry hash')),
                ('event_type', models.PositiveSmallIntegerField(choices=[(0, 'Created'), (1, 'Updated'), (2, 'Deleted')], default=0, verbose_name='event type')),
                ('object_id', models.IntegerField(db_index=True, verbose_name='object id')),
                ('object_repr', models.CharField(blank=True, max_length=255, null=True, verbose_name='identifier')),
                ('object_json_changes', models.TextField(blank=True, null=True, verbose_name='object diff')),
                ('group_object_id', models.IntegerField(null=True, verbose_name='parent object id')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='audit_entry', to='contenttypes.ContentType', verbose_name='model')),
                ('group_content_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='audit_group', to='contenttypes.ContentType', verbose_name='parent model')),
                ('user', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='user', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': 'auditlog',
                'verbose_name_plural': 'auditlogs',
            },
        ),
        migrations.AlterIndexTogether(
            name='auditableevent',
            index_together=set([('group_content_type', 'group_object_id')]),
        ),
    ]
