from django.test.client import RequestFactory
from django.template import Context, Template
from django.test import TestCase

from evotelogs.models import AuditableEvent
from evoteusers.models import User


class TemplateTagsTest(TestCase):

    def render_template(self, string, context=None, request=None):
        context = context or {}
        context = Context(context)
        return Template(string).render(context)


class LogsTagsTest(TemplateTagsTest):

    def setUp(self):
        self.rf = RequestFactory()
        self.rf.user = User.objects.get(pk=1)
        self.entry = AuditableEvent()

    def test_is_new_entry_tag(self):
        template = "{% load logs_tags %}{% is_new_entry entry %}"
        rendered = self.render_template(
            template, {'request': self.rf, 'entry': self.entry})
        self.assertEqual(rendered, 'True')
