from django.core.mail.backends.base import BaseEmailBackend

from .utils import serialize_email
from .tasks import send_email


class EvoteEmailBackend(BaseEmailBackend):

    def __init__(self, fail_silently=False, **kwargs):
        super(EvoteEmailBackend, self).__init__(fail_silently)

    def send_messages(self, email_messages):
        for email in email_messages:
            send_email.si(serialize_email(email)).delay()
        return len(email_messages)
