from django.core.mail.message import EmailMultiAlternatives
from django.core.mail import get_connection
from django.test import SimpleTestCase

from evotemailings.backends import EvoteEmailBackend


class BackendTest(SimpleTestCase):

    def setUp(self):
        self.backend = EvoteEmailBackend()
        self.email = EmailMultiAlternatives(
            headers={},
            connection=get_connection(
                backend='django.core.mail.backends.locmem.EmailBackend'),
            from_email="dev@eurotux.com",
            to=["tfb@eurotux.com"],
            bcc=[],
            cc=[],
            reply_to=[],
            subject="Unit Test",
            body="Hello",
            attachments=[]
        )

    def test_send_task_ok(self):
        result = self.backend.send_messages([self.email])
        self.assertEqual(result, 1)
