from mock import patch
from smtplib import SMTPException
from django.test import SimpleTestCase

from evotemailings.tasks import send_email


def raise_ex(*args, **kwargs):
    raise SMTPException


class TasksTest(SimpleTestCase):

    def setUp(self):
        self.email = '{' +\
            '"headers": {},' +\
            '"connection": "django.core.mail.backends.locmem.EmailBackend",' +\
            '"from_email": "dev@eurotux.com",' +\
            '"to": ["tfb@eurotux.com"],' +\
            '"bcc": [],' +\
            '"cc": [],' +\
            '"reply_to": [],' +\
            '"subject": "Unit Test",' +\
            '"body": "Hello",' +\
            '"attachments": [],' +\
            '"alternatives": []' +\
            '}'

    def test_send_task_ok(self):
        result = send_email.delay(self.email)
        self.assertEqual(result.successful(), True)

    @patch('django.core.mail.backends.dummy.EmailBackend.send_messages',
           new=raise_ex)
    def test_send_task_fail(self):
        result = send_email(self.email)
        self.assertIsNone(result)

    def test_raise_exception(self):
        found = False
        try:
            raise_ex()
        except SMTPException:
            found = True
        self.assertEqual(found, True)
