from __future__ import unicode_literals

from django.contrib.auth.decorators import login_required
from django.utils.decorators import method_decorator
from django.views.generic.base import View
from django.http import JsonResponse

from .registers import recipient_register


RECIPIENTS_LIMIT = 10


@method_decorator(login_required, name="dispatch")
class MessageRecipientsAjaxView(View):
    """ """

    def get(self, request, *args, **kwargs):
        """ """
        query = request.GET.get('q', '')
        group_pk = request.GET.get('group_pk', None)
        recipients = []
        # search by query and group on all recipients
        for recipient_class in recipient_register.all():
            recipient = recipient_class()
            if recipient.check_permission(self.request.user):
                qs = recipient.search(query, group_pk, user=self.request.user)
                recipients += recipient.data(qs[:RECIPIENTS_LIMIT])
        return JsonResponse(recipients, safe=False)
