from evotemailings.mailings import BaseMailing


class MessageMail(BaseMailing):
    """ """
    template_name = 'evotemessages/mails/message.html'

    def __init__(self, message, *args, **kwargs):
        super(MessageMail, self).__init__(*args, **kwargs)
        self.message = message

    def get_template_name(self):
        if self.message.sender.is_anonymous:
            return 'evotemessages/mails/message_anonymous.html'
        return self.template_name

    def get_context_data(self):
        return {
            'message': self.message
        }

    def get_subject(self):
        return self.message.subject

    def get_mail_reply_to(self):
        return [self.message.sender.get_email()]
