from __future__ import unicode_literals

from django import template
from django.utils.safestring import mark_safe
import re


register = template.Library()


@register.filter
def highlight(value, phrases):
    if isinstance(phrases, basestring):
        phrases = [phrases]

    phrases = map(re.escape, phrases)
    expr = re.compile(r"(%s)" % "|".join(phrases), re.I)
    template = '<span class="highlight">%s</span>'

    def replace(match):
        return template % match.group(0)

    return mark_safe(expr.sub(replace, value))
