from __future__ import unicode_literals

from django.template import Context, Template
from django.test import SimpleTestCase


class TemplateTagsTest(object):

    def render_template(self, string, context=None, request=None):
        context = context or {}
        context = Context(context)
        return Template(string).render(context)


class SearchTagsTest(TemplateTagsTest, SimpleTestCase):

    def test_highlight(self):
        """ The only highlighted word should be "test" """
        context = {'testtitle': 'test title', 'terms': ['test']}
        template = "{% load search_tags %}{{testtitle|highlight:terms}}"
        expected = "<span class='highlight'>test</span> title"
        rendered = self.render_template(template, context)
        self.assertInHTML(expected, rendered)
