from __future__ import unicode_literals

from django.utils.translation import ugettext_lazy as _

from django.contrib.auth.admin import UserAdmin as BaseUserAdmin
from django.contrib import admin

from evoteusers.models import User


@admin.register(User)
class UserAdmin(BaseUserAdmin):
    # The fields to be used in displaying the User model.
    # These override the definitions on the base UserAdmin
    # that reference specific fields on auth.User.
    fieldsets = (
        (None, {'fields': ('email', 'password')}),
        (_('Personal info'), {'fields': ('name', 'primary_phone',
                                         'notice_phone', 'notice_method',
                                         'notice_email', 'nic')}),
        (_('Permissions'), {'fields': ('is_active', 'is_staff', 'is_superuser',
                                       'is_institutional_responsible',
                                       'groups', 'user_permissions')}),
        (_('Important dates'), {'fields': ('last_login',)}),
    )
    list_display = ('name', 'email', 'nic', 'is_active',
                    'is_institutional_responsible')
    list_filter = ('is_institutional_responsible',)
    search_fields = ('name', 'email', 'nic')
    ordering = ('email',)
