# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2016-12-20 10:46
from __future__ import unicode_literals

from django.db import migrations, models
import django_extensions.db.fields
import evotecore.mixins
import evotecore.utils
import evoteusers.managers
import phonenumber_field.modelfields
import sorl.thumbnail.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0008_alter_user_username_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('email', models.EmailField(db_index=True, max_length=254, unique=True, verbose_name='email address')),
                ('name', models.CharField(db_index=True, max_length=255, verbose_name='name')),
                ('is_staff', models.BooleanField(default=False, verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, verbose_name='active')),
                ('is_institutional_responsible', models.BooleanField(default=False, verbose_name='institutional responsible status')),
                ('photo', sorl.thumbnail.fields.ImageField(blank=True, upload_to=evotecore.utils.images_upload_to, verbose_name='photo')),
                ('primary_phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, verbose_name='primary phone number')),
                ('notice_method', models.PositiveSmallIntegerField(choices=[(0, 'SMS'), (1, 'Email')], default=1, verbose_name='notice method')),
                ('notice_phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='Phone number user to send notifications. If not defined, primary phone used instead', max_length=128, verbose_name='notice phone number')),
                ('notice_email', models.EmailField(blank=True, help_text='Email used to send notifications. If not defined, primary email used instead', max_length=254, verbose_name='notice email')),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'abstract': False,
            },
            bases=(evotecore.mixins.ModelFieldChangedMixin, models.Model),
            managers=[
                ('objects', evoteusers.managers.UserManager()),
            ],
        ),
    ]
