from django.contrib import admin

from modeltranslation.admin import TabbedTranslationAdmin

from .models import SecretEntry, Page


class SecretEntryAdmin(admin.ModelAdmin):
    model = SecretEntry

    def save_model(self, request, obj, form, change):
        obj.user = request.user
        obj.save()


class PageAdmin(TabbedTranslationAdmin):
    model = Page

    def save_model(self, request, obj, form, change):
        obj.created_by = request.user
        obj.save()


admin.site.register(SecretEntry, SecretEntryAdmin)
admin.site.register(Page, PageAdmin)
