from django.core.urlresolvers import reverse_lazy
from django.test import TestCase, override_settings

from evoteusers.tests.utils import UserTestUtils


@override_settings(
    ROOT_URLCONF='evote.urls.admin',
    LOGIN_REDIRECT_URL=reverse_lazy("evoteadmin:page-list"),
    LOGIN_URL=reverse_lazy("evoteadmin:login"),
    JAVASCRIPT_SETTINGS_SCAN_MODULES={}
)
class AdminTestCase(UserTestUtils, TestCase):

    def login_as_admin(self):
        credentials = {
            "email": "dev1@eurotux.com",
            "password": "password"
        }
        self.user = self.create_user(is_staff=True, **credentials)
        self.client.login(**credentials)
        return credentials
