from mock import Mock

from django.contrib.admin.sites import AdminSite

from evotevotings.admin.models import SecretEntry
from evotevotings.admin.admin import SecretEntryAdmin

from . import AdminTestCase


class SecretEntryAdminTest(AdminTestCase):
    """ """
    def setUp(self):
        self.site = AdminSite()

    def test_save_model_with_user(self):
        request = Mock()
        request.user = self.create_user()
        secret_entry = SecretEntry(identifier=0, body="dummy body")
        admin = SecretEntryAdmin(SecretEntry, self.site)
        admin.save_model(request, secret_entry, None, None)
        self.assertEqual(secret_entry.user, request.user)
