from django.template import Context, Template
from django.test import TestCase

from evotevotings.admin.models import Page


class TemplateTagsTest(TestCase):

    def render_template(self, string, context=None, request=None):
        context = context or {}
        context = Context(context)
        return Template(string).render(context)


class AdminTagsTest(TemplateTagsTest):

    def test_global_alert_no_message(self):
        """ """
        template = "{% load admin_tags %}{% global_alert %}"
        rendered = self.render_template(template, {})
        self.assertInHTML("", rendered)

    def test_global_alert_with_html_message(self):
        """ """
        obj = Page.objects.get(pk=10)
        obj.body = "<b>This is an test message"
        obj.save()
        template = "{% load admin_tags %}{% global_alert %}"
        expected = (
            '<div class="globalalert">'
            '    <div class="wrap">This is an test message</div>'
            '</div>'
        )
        rendered = self.render_template(template, {})
        self.assertInHTML(expected, rendered)
