from evotevotings.voters.models import ElectionVoter
from modeltranslation.admin import TabbedTranslationAdmin
from guardian.admin import GuardedModelAdmin
from django.contrib import admin

from .models import Election, Candidate, Category


class CategoryInline(admin.TabularInline):
    model = Category


class CandidateInline(admin.TabularInline):
    model = Candidate


class ElectionVoterInline(admin.TabularInline):
    model = ElectionVoter


class ElectionAdmin(GuardedModelAdmin, TabbedTranslationAdmin):
    list_display = ('identifier', 'state', 'write_in', 'ordered_voting',
                    'weight_votes')
    inlines = [
        CategoryInline,
        CandidateInline,
        ElectionVoterInline
    ]


admin.site.register(Election, ElectionAdmin)
