# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2016-12-20 10:46
from __future__ import unicode_literals

import autoslug.fields
from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields
import django_fsm
import evotecore.mixins
import evotecore.utils
import sorl.thumbnail.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('evotedocs', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Candidate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('logo', sorl.thumbnail.fields.ImageField(blank=True, upload_to=evotecore.utils.images_upload_to, verbose_name='logo')),
                ('personnel_number', models.CharField(db_index=True, max_length=64, verbose_name='personnel number')),
                ('designation', models.CharField(max_length=128, verbose_name='designation')),
                ('write_in', models.BooleanField(default=False)),
                ('order', models.PositiveSmallIntegerField(default=0, verbose_name='order')),
            ],
            options={
                'ordering': ('order',),
                'verbose_name': 'candidate',
                'verbose_name_plural': 'candidates',
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('designation', models.CharField(max_length=128, verbose_name='category designation')),
                ('designation_en', models.CharField(max_length=128, null=True, verbose_name='category designation')),
                ('designation_pt', models.CharField(max_length=128, null=True, verbose_name='category designation')),
                ('slug', autoslug.fields.AutoSlugField(editable=False, populate_from='designation', unique=True)),
                ('weight', models.PositiveSmallIntegerField(default=1, verbose_name='category weight')),
            ],
            options={
                'verbose_name': 'category',
                'verbose_name_plural': 'categories',
            },
        ),
        migrations.CreateModel(
            name='Election',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('proposition_begin_date', models.DateTimeField(verbose_name='begin date')),
                ('proposition_end_date', models.DateTimeField(verbose_name='end date')),
                ('roll_begin_date', models.DateTimeField(verbose_name='publication date before verification')),
                ('roll_end_date', models.DateTimeField(verbose_name='publication date after verification and fixes')),
                ('voting_begin_date', models.DateTimeField(verbose_name='begin date')),
                ('voting_end_date', models.DateTimeField(verbose_name='end date')),
                ('voting_references_date', models.DateTimeField(verbose_name='consult date')),
                ('minute_publication_date', models.DateTimeField(verbose_name='publication date')),
                ('minute_begin_date', models.DateTimeField(verbose_name='verification begin date')),
                ('minute_end_date', models.DateTimeField(verbose_name='verification end date')),
                ('presentation_mode', models.PositiveSmallIntegerField(choices=[(0, 'List'), (1, 'Dropdown')], default=0, verbose_name='presentation mode')),
                ('instructions', models.CharField(blank=True, max_length=256, verbose_name='instructions')),
                ('instructions_en', models.CharField(blank=True, max_length=256, null=True, verbose_name='instructions')),
                ('instructions_pt', models.CharField(blank=True, max_length=256, null=True, verbose_name='instructions')),
                ('configs_filled', models.BooleanField(default=False, editable=False)),
                ('calendar_filled', models.BooleanField(default=False, editable=False)),
                ('bulletin_filled', models.BooleanField(default=False, editable=False)),
                ('certificate', models.TextField(null=True, verbose_name='election certificate')),
                ('cert_private_key', models.TextField(null=True, verbose_name='election certificate private key')),
                ('blindsig_pr_dash_components', models.TextField(default='', editable=False, verbose_name='blind signature pr dash components')),
                ('blindsig_init_components', models.TextField(default='', editable=False, verbose_name='blind signature init components')),
                ('identifier', models.CharField(help_text='Insert the election designation', max_length=128, verbose_name='election identifier')),
                ('identifier_en', models.CharField(help_text='Insert the election designation', max_length=128, null=True, verbose_name='election identifier')),
                ('identifier_pt', models.CharField(help_text='Insert the election designation', max_length=128, null=True, verbose_name='election identifier')),
                ('slug', autoslug.fields.AutoSlugField(editable=False, populate_from='identifier', unique=True)),
                ('description', models.CharField(help_text='brief description text about election', max_length=512, verbose_name='election description')),
                ('description_en', models.CharField(help_text='brief description text about election', max_length=512, null=True, verbose_name='election description')),
                ('description_pt', models.CharField(help_text='brief description text about election', max_length=512, null=True, verbose_name='election description')),
                ('state', django_fsm.FSMIntegerField(choices=[(0, 'New'), (1, 'Open'), (2, 'Provisional electoral roll'), (3, 'Definitive electoral roll'), (4, 'In to vote'), (5, 'In counting'), (6, 'Votes scrutinized'), (7, 'Minute in approval'), (8, 'Closed')], default=0, verbose_name='state')),
                ('limit_remarkable_choices', models.PositiveSmallIntegerField(choices=[(1, 1), (2, 2), (3, 3), (4, 4), (5, 5), (6, 6), (7, 7), (8, 8), (9, 9)], default=1, verbose_name='limit remarkable choices')),
                ('write_in', models.BooleanField(default=True, verbose_name='write in?')),
                ('ordered_voting', models.BooleanField(default=True, verbose_name='ordered voting?')),
                ('weight_votes', models.BooleanField(default=True, verbose_name='weight votes?')),
                ('hondt_method', models.BooleanField(default=True, verbose_name='hondt method?')),
                ('hondt_total_seats', models.PositiveSmallIntegerField(choices=[(1, 1), (2, 2), (3, 3), (4, 4), (5, 5), (6, 6), (7, 7), (8, 8), (9, 9)], null=True, verbose_name='hondt total seats')),
            ],
            options={
                'verbose_name': 'election',
                'verbose_name_plural': 'elections',
                'permissions': (('vote_election', 'Vote election'), ('view_election', 'View election')),
            },
            bases=(evotecore.mixins.ModelFieldChangedMixin, models.Model),
        ),
        migrations.CreateModel(
            name='ElectionCountQuery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('total_count', models.PositiveSmallIntegerField(null=True, verbose_name='Total count')),
                ('election', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='count_queries', to='evoteelections.Election', verbose_name='election')),
            ],
            options={
                'ordering': ('-created',),
                'verbose_name': 'Count query',
                'verbose_name_plural': 'Count queries',
            },
        ),
    ]
