from modeltranslation.translator import register, TranslationOptions

from .models import Election, Category


@register(Election)
class ElectionTranslationOptions(TranslationOptions):
    fields = ('identifier', 'description', 'instructions', 'pdf_document',
              'pdf_voters_document')
    required_languages = ('pt', 'en')


@register(Category)
class CategoryOptions(TranslationOptions):
    fields = ('designation',)
    required_languages = ('pt', 'en')
