from .forms import ManagementAuthenticationForm


SESSION_USER_PROFILE = 'user_profile'


class ManagementMiddleware(object):

    def __init__(self, get_response):
        self.get_response = get_response

    def __call__(self, request):
        assert hasattr(request, 'user') and hasattr(request, 'session'), (
            "The Management middleware requires authentication middleware and "
            "session middleware to be installed. Edit your MIDDLEWARE%s "
            "setting to insert "
            "'django.contrib.sessions.middleware.SessionMiddleware' and "
            "'django.contrib.auth.middleware.AuthenticationMiddleware' before "
            "'evotevotings.management.middleware.ManagementMiddleware'.")

        if request.user.is_authenticated() and \
                SESSION_USER_PROFILE in request.session:
            is_responsible = request.session[SESSION_USER_PROFILE] == \
                ManagementAuthenticationForm.Profiles.INSTITUTIONAL_RESPONSIBLE
            is_member = request.session[SESSION_USER_PROFILE] == \
                ManagementAuthenticationForm.Profiles.ELECTORAL_MEMBER
            setattr(request.user, 'is_institutional_responsible',
                    is_responsible)
            setattr(request.user, 'is_electoral_member', is_member)
            setattr(request.user, 'is_management_user', True)

        return self.get_response(request)
