from __future__ import unicode_literals


class SecureActionSessionRegister(object):

    SESSION_PREFIX = "secureaction_"

    def prefix_key(self, key):
        return "{}_{}".format(self.SESSION_PREFIX, key)

    def register(self, request, key, action):
        prefixed_key = self.prefix_key(key)
        request.session[prefixed_key] = str(action)

    def reset(self, request, key):
        prefixed_key = self.prefix_key(key)
        del request.session[prefixed_key]

    def validate(self, request, key, action):
        prefixed_key = self.prefix_key(key)
        session_action = request.session.get(prefixed_key, None)
        if session_action and str(action) == str(session_action):
            self.reset(request, key)
            return True
        return False


secure_action = SecureActionSessionRegister()
