from evotevotings.management.tables import (ElectoralProcessDetailTable)

from evotevotings.elections.tests.utils import ElectionsTestUtils
from evotevotings.voters.tests.utils import VotersTestUtils

from . import ManagementTestCase


class ElectoralProcessDetailTableTest(ElectionsTestUtils, ManagementTestCase):
    """
    Test custom fields of electoral process detail table
    """

    def setUp(self):
        self.process = self.create_electoral_process()
        self.table = ElectoralProcessDetailTable({})

    def test_render_electoral_documents_empty(self):
        content = self.table.render_electoral_documents(self.process)
        self.assertEqual(content, 0)

    def test_render_elections_empty(self):
        content = self.table.render_elections(self.process)
        self.assertEqual(content, 0)

    def test_render_electoral_documents(self):
        self.create_electoral_document(electoral_process=self.process)
        self.create_electoral_document(electoral_process=self.process)
        content = self.table.render_electoral_documents(self.process)
        self.assertEqual(content, 2)

    def test_render_elections(self):
        self.create_election(electoral_process=self.process)
        content = self.table.render_elections(self.process)
        self.assertEqual(content, 1)


class ElectoralRollTableTest(VotersTestUtils, ManagementTestCase):
    """ """

    def setUp(self):
        pass
        # self.electoral_roll = self.create_electoral_roll()

    def test_render_created(self):
        pass

    def test_render_actions_with_published_rolls(self):
        pass

    def test_render_actions_with_to_publish_rolls(self):
        pass
