from django.contrib import admin

from modeltranslation.admin import TabbedTranslationAdmin
from sorl.thumbnail.admin import AdminImageMixin
from guardian.admin import GuardedModelAdmin

from .models import (Action, ElectoralProcess, ElectoralMember,
                     ElectoralDocument, ElectoralAction)


class ActionAdmin(TabbedTranslationAdmin):
    pass


admin.site.register(Action, ActionAdmin)


class ElectoralMemberInline(admin.TabularInline):
    model = ElectoralMember


class ElectoralDocumentInline(admin.TabularInline):
    model = ElectoralDocument


class ElectoralActionInline(admin.TabularInline):
    model = ElectoralAction


class ElectoralProcessAdmin(GuardedModelAdmin, AdminImageMixin,
                            TabbedTranslationAdmin):
    inlines = [
        ElectoralMemberInline,
        ElectoralDocumentInline,
        ElectoralActionInline
    ]


admin.site.register(ElectoralProcess, ElectoralProcessAdmin)
