# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2016-12-20 10:46
from __future__ import unicode_literals

import autoslug.fields
from django.db import migrations, models
import django_extensions.db.fields
import django_fsm
import evotecore.mixins
import evotecore.utils
import evotemailings.mixins
import phonenumber_field.modelfields
import sorl.thumbnail.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Action',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('designation', models.CharField(db_index=True, max_length=128, verbose_name='action')),
                ('designation_en', models.CharField(db_index=True, max_length=128, null=True, verbose_name='action')),
                ('designation_pt', models.CharField(db_index=True, max_length=128, null=True, verbose_name='action')),
            ],
            options={
                'verbose_name': 'action',
                'verbose_name_plural': 'actions',
            },
        ),
        migrations.CreateModel(
            name='ElectoralAction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('strength', models.PositiveSmallIntegerField(blank=True, choices=[(0, 'Simple'), (1, 'Strong'), (2, 'Critical')], default=0, verbose_name='strength')),
            ],
            options={
                'verbose_name': 'electoral action',
                'verbose_name_plural': 'electoral actions',
            },
        ),
        migrations.CreateModel(
            name='ElectoralDocument',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('designation', models.CharField(db_index=True, max_length=128, verbose_name='designation')),
                ('designation_en', models.CharField(db_index=True, max_length=128, null=True, verbose_name='designation')),
                ('designation_pt', models.CharField(db_index=True, max_length=128, null=True, verbose_name='designation')),
            ],
            options={
                'verbose_name': 'Electoral document',
                'verbose_name_plural': 'Electoral documents',
            },
        ),
        migrations.CreateModel(
            name='ElectoralMember',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('designation', models.CharField(db_index=True, max_length=128, verbose_name='designation')),
                ('role', models.PositiveSmallIntegerField(choices=[(0, 'Chairman'), (1, 'Other')], verbose_name='role')),
                ('phone', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, verbose_name='contact phone number')),
                ('private_key', models.BinaryField(blank=True, verbose_name='key')),
                ('is_comunication_responsible', models.BooleanField(default=False)),
            ],
            options={
                'verbose_name': 'electoral member',
                'verbose_name_plural': 'electoral members',
            },
        ),
        migrations.CreateModel(
            name='ElectoralProcess',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('logo', sorl.thumbnail.fields.ImageField(blank=True, upload_to=evotecore.utils.images_upload_to, verbose_name='Logo (minimum size 135px x 100px)')),
                ('slug', autoslug.fields.AutoSlugField(editable=False, populate_from='identifier', unique=True)),
                ('identifier', models.CharField(db_index=True, help_text='Insert the electoral process designation', max_length=128, verbose_name='electoral process identifier')),
                ('identifier_en', models.CharField(db_index=True, help_text='Insert the electoral process designation', max_length=128, null=True, verbose_name='electoral process identifier')),
                ('identifier_pt', models.CharField(db_index=True, help_text='Insert the electoral process designation', max_length=128, null=True, verbose_name='electoral process identifier')),
                ('description', models.CharField(help_text='brief description text about electoral process', max_length=512, verbose_name='electoral process description')),
                ('description_en', models.CharField(help_text='brief description text about electoral process', max_length=512, null=True, verbose_name='electoral process description')),
                ('description_pt', models.CharField(help_text='brief description text about electoral process', max_length=512, null=True, verbose_name='electoral process description')),
                ('state', django_fsm.FSMIntegerField(choices=[(0, 'New'), (1, 'Open'), (2, 'Closed'), (3, 'Archived'), (4, 'Draft')], default=4, verbose_name='state')),
                ('closed_on', models.DateTimeField(blank=True, null=True, verbose_name='closed on')),
                ('actions_configured', models.BooleanField(default=False, editable=False)),
                ('publication_date', models.DateTimeField(blank=True, null=True, verbose_name='publication date')),
                ('actions', models.ManyToManyField(blank=True, through='evoteprocesses.ElectoralAction', to='evoteprocesses.Action', verbose_name='actions')),
            ],
            options={
                'ordering': ['-publication_date'],
                'verbose_name': 'electoral process',
                'verbose_name_plural': 'electoral processes',
                'permissions': (('view_electoralprocess', 'View electoral process'), ('manage_electoralprocess', 'Manage electoral process')),
            },
            bases=(evotemailings.mixins.MailingListMixin, evotecore.mixins.ModelFieldChangedMixin, models.Model),
        ),
    ]
