from django.utils.html import format_html

from .models import ElectoralProcess

import django_tables2 as tables


class StateColumn(tables.Column):
    """
    Custom Column of states
    """

    def render(self, record):
        icon = ""
        if record.state == ElectoralProcess.State.OPEN:
            icon = "{} <i class='ev-icon evi-open-state'></i>"\
                .format(record.get_state_display())
        elif record.state in [ElectoralProcess.State.CLOSED,
                              ElectoralProcess.State.ARCHIVED]:
            icon = "Closed <i class='ev-icon evi-lock-state'></i>"
        elif record.state == ElectoralProcess.State.DRAFT:
            icon = "{} <i class='ev-icon evi-edit'></i>"\
                .format(record.get_state_display())
        elif record.state == ElectoralProcess.State.NEW:
            icon = record.get_state_display()
        return format_html(icon)
