from django.test import SimpleTestCase

from evotevotings.processes.tables import StateColumn
from evotevotings.processes.models import ElectoralProcess


class StateColumnTest(SimpleTestCase):
    """ """

    def setUp(self):
        self.electoral_process = ElectoralProcess()
        self.state_column = StateColumn()

    def test_render_state_valid(self):
        self.electoral_process.state = ElectoralProcess.State.OPEN
        expected = "Open <i class='ev-icon evi-open-state'></i>"
        rendered = self.state_column.render(self.electoral_process)
        self.assertInHTML(expected, rendered)

    def test_render_state_closed(self):
        self.electoral_process.state = ElectoralProcess.State.CLOSED
        expected = "Closed <i class='ev-icon evi-lock-state'></i>"
        rendered = self.state_column.render(self.electoral_process)
        self.assertInHTML(expected, rendered)

    def test_render_state_archived(self):
        self.electoral_process.state = ElectoralProcess.State.ARCHIVED
        expected = "Closed <i class='ev-icon evi-lock-state'></i>"
        rendered = self.state_column.render(self.electoral_process)
        self.assertInHTML(expected, rendered)

    def test_render_state_draft(self):
        self.electoral_process.state = ElectoralProcess.State.DRAFT
        expected = "Draft <i class='ev-icon evi-edit'></i>"
        rendered = self.state_column.render(self.electoral_process)
        self.assertInHTML(expected, rendered)

    def test_render_state_new(self):
        self.electoral_process.state = ElectoralProcess.State.NEW
        expected = "Created"
        rendered = self.state_column.render(self.electoral_process)
        self.assertInHTML(expected, rendered)
