from evotevotings.processes.models import (ElectoralMember, ElectoralProcess,
                                           Action, ElectoralAction,
                                           ElectoralDocument)
from autofixture import create_one, create

from evoteusers.tests.utils import UserTestUtils


class ProcessesTestUtils(UserTestUtils):

    def create_action(self, **field_values):
        return create_one(Action, field_values=field_values)

    def create_actions(self, num, **field_values):
        return create(Action, num, field_values=field_values)

    def create_electoral_process(self, **field_values):
        return create_one(ElectoralProcess, generate_fk=True,
                          field_values=field_values)

    def create_electoral_processes(self, num, **field_values):
        return create(ElectoralProcess, num, generate_fk=True,
                      field_values=field_values)

    def create_electoral_action(self, **field_values):
        return create_one(ElectoralAction, generate_fk=True,
                          field_values=field_values)

    def create_electoral_member(self, **field_values):
        email = field_values.pop('email', None)
        password = field_values.pop('password', None)
        user = field_values.pop('user', None)
        if email and not user:
            field_values.update({
                'user': self.create_user(email=email, password=password)
            })
        return create_one(ElectoralMember, generate_fk=True,
                          field_values=field_values)

    def create_electoral_document(self, **field_values):
        return create_one(ElectoralDocument, generate_fk=True,
                          field_values=field_values)

    def create_institutional_member(self, **field_values):
        email = field_values.pop('email', None)
        password = field_values.pop('password', None)
        user = field_values.pop('user', None)
        if email and not user:
            field_values.update({
                'user': self.create_user(
                    email=email, password=password,
                    is_institutional_responsible=True)
            })
        return create_one(ElectoralMember, generate_fk=True,
                          field_values=field_values)
