from rest_framework import serializers


class FilterSignatureSerializer(serializers.Serializer):
    election_id = serializers.CharField(required=True,
                                        allow_blank=False,
                                        help_text="Election ID" +
                                                  " signed by" +
                                                  " the Voting System")
    blind_hash = serializers.CharField(required=True,
                                       allow_blank=False,
                                       help_text="Blind hash containing" +
                                                 " the ciphered Vote")
    ciphered_vote = serializers.CharField(required=True,
                                          allow_blank=False,
                                          help_text="Ciphered vote")
    signed_vote = serializers.CharField(required=True,
                                        allow_blank=False,
                                        help_text="Ciphered vote hash " +
                                                  " signed by" +
                                                  " the Validator Service")
    blind_components = serializers.CharField(required=True,
                                             allow_blank=False,
                                             help_text="Blind signature" +
                                                       " components")
    pr_components = serializers.CharField(required=True,
                                          allow_blank=False,
                                          help_text="Blind PR signature" +
                                                    " components")
    unique_bulletin = serializers.CharField(required=True,
                                            allow_blank=False,
                                            help_text="Unique bulletin number")

    def validate(self, data):
        """
        Complete object validation.
        Access fields using array dictionary notation data['field']
        Errors should raise a ValidationError Exception
        """
        data = super(FilterSignatureSerializer, self).validate(data)

        for key, value in data.iteritems():
            data[key] = value.encode()

        return data
