from rest_framework.decorators import api_view, renderer_classes
from rest_framework import renderers, response, schemas
from rest_framework_swagger.renderers import OpenAPIRenderer, SwaggerUIRenderer


@api_view()
@renderer_classes([SwaggerUIRenderer,
                   OpenAPIRenderer,
                   renderers.CoreJSONRenderer])
def schema_view(request):
    """
    Generate the Django Swagger API View
    """
    generator = schemas.SchemaGenerator(title='eVote Services API')
    return response.Response(generator.get_schema(request=request))
