# -*- coding: utf-8 -*-
from django.conf import settings

from evotevotings.elections.models import Election
from evotemailings.mailings import BaseMailing


class ContactMail(BaseMailing):
    """ """
    template_name = 'voters/mails/contact_mail.html'

    def get_mail_to(self):
        name = getattr(settings, "EVOTE_CONTACT_NAME")
        email = getattr(settings, "EVOTE_CONTACT_MAIL")
        return [(name, email)]

    def get_mail_reply_to(self):
        return [self.get_context_data().get('from')]

    def get_subject(self):
        name = self.get_context_data().get('name')
        msg = "eVotUM - Contacto de " + name + " | Contact from " + name
        subject = msg
        return subject


class SendPinMail(BaseMailing):
    """ """
    template_name = 'voters/mails/pin_mail.html'

    def get_mail_to(self):
        name = getattr(settings, "EVOTE_CONTACT_NAME")
        email = getattr(settings, "EVOTE_CONTACT_MAIL")
        return [(name, email)]

    def get_mail_reply_to(self):
        return [self.get_context_data().get('from')]

    def get_subject(self):
        subject = "eVotUM - Código de votação | Voting code"
        return subject


class SendReferenceMail(BaseMailing):
    """ """
    template_name = 'voters/mails/reference_mail.html'

    def get_subject(self):
        subject = "eVotUM - Referência de voto | Vote reference"
        return subject

    def get_context_data(self):
        context = super(SendReferenceMail, self).get_context_data()
        election_id = context.get('election_id')
        context.update({
            'election': Election.objects.get(pk=election_id)
        })
        return context
