from autofixture import create_one, create

from evotevotings.voters.models import ElectoralRoll, ElectionVoter
from evoteusers.tests.utils import UserTestUtils


class VotersTestUtils(UserTestUtils):

    def create_election_voter(self, **field_values):
        email = field_values.pop('email', None)
        password = field_values.pop('password', None)
        user = field_values.pop('user', None)
        if email and not user:
            field_values.update({
                'user': self.create_user(email=email, password=password)
            })
        return create_one(ElectionVoter, field_values=field_values,
                          generate_fk=True)

    def create_electoral_roll(self, **field_values):
        return create_one(ElectoralRoll, generate_fk=True,
                          field_values=field_values)

    def create_electoral_rolls(self, num, **field_values):
        return create(ElectoralRoll, num, generate_fk=True,
                      field_values=field_values)
